> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve feed

> Retrieves a feed by ID.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify get /admin/v0/feeds/{feed_id}
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/feeds/{feed_id}:
    get:
      tags:
        - Feeds
      summary: Retrieve feed
      description: Retrieves a feed by ID.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: feed_id
          in: path
      responses:
        '200':
          description: Feed details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      banner_file_id:
                        type: string
                        nullable: true
                      banner_file_url:
                        type: string
                        nullable: true
                      emoji_icon:
                        type: string
                        nullable: true
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      id:
                        type: string
                        format: uuid
                      public_id:
                        type: string
                      is_archived:
                        type: boolean
                      is_unlisted:
                        type: boolean
                      label:
                        type: string
                      list_view_display_format:
                        type: string
                        enum:
                          - card
                          - snippet
                          - compact
                          - changelog
                      post_detail_display_format:
                        type: string
                        enum:
                          - discussion
                          - blog
                      slack_channel_id:
                        type: string
                        nullable: true
                      slack_channel_name:
                        type: string
                        nullable: true
                      slack_channel_num_members:
                        type: number
                        nullable: true
                      slack_channel_is_private:
                        type: boolean
                        nullable: true
                      slack_channel_purpose_slack_blocks:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - rich_text
                            elements:
                              type: array
                              items:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_section
                                      elements:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - broadcast
                                                range:
                                                  type: string
                                                  enum:
                                                    - here
                                                    - channel
                                                    - everyone
                                              required:
                                                - type
                                                - range
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - color
                                                value:
                                                  type: string
                                              required:
                                                - type
                                                - value
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - channel
                                                channel_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - channel_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - date
                                                timestamp:
                                                  type: number
                                                format:
                                                  type: string
                                                url:
                                                  type: string
                                                fallback:
                                                  type: string
                                              required:
                                                - type
                                                - timestamp
                                                - format
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - emoji
                                                name:
                                                  type: string
                                                unicode:
                                                  type: string
                                              required:
                                                - type
                                                - name
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - link
                                                url:
                                                  type: string
                                                text:
                                                  type: string
                                                unsafe:
                                                  type: boolean
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - url
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - text
                                                text:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - text
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - user
                                                user_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - user_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - usergroup
                                                usergroup_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - usergroup_id
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_list
                                      style:
                                        type: string
                                        enum:
                                          - bullet
                                          - ordered
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - rich_text_section
                                            elements:
                                              type: array
                                              items:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - broadcast
                                                      range:
                                                        type: string
                                                        enum:
                                                          - here
                                                          - channel
                                                          - everyone
                                                    required:
                                                      - type
                                                      - range
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - color
                                                      value:
                                                        type: string
                                                    required:
                                                      - type
                                                      - value
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - channel
                                                      channel_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - channel_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - date
                                                      timestamp:
                                                        type: number
                                                      format:
                                                        type: string
                                                      url:
                                                        type: string
                                                      fallback:
                                                        type: string
                                                    required:
                                                      - type
                                                      - timestamp
                                                      - format
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - emoji
                                                      name:
                                                        type: string
                                                      unicode:
                                                        type: string
                                                    required:
                                                      - type
                                                      - name
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - link
                                                      url:
                                                        type: string
                                                      text:
                                                        type: string
                                                      unsafe:
                                                        type: boolean
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - url
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - text
                                                      text:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - text
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - user
                                                      user_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - user_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - usergroup
                                                      usergroup_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - usergroup_id
                                          required:
                                            - type
                                            - elements
                                      indent:
                                        type: number
                                        minimum: 0
                                      offset:
                                        type: number
                                        minimum: 0
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - style
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_preformatted
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_quote
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                            block_id:
                              type: string
                          required:
                            - type
                            - elements
                        description: >-
                          The Slack channel description in Slack blocks format
                          for rich text input element.
                      slack_channel_purpose_slack_blocks_references:
                        type: object
                        properties:
                          mentioned_slack_users:
                            type: array
                            items:
                              type: object
                              properties:
                                profile_id:
                                  type: string
                                  format: uuid
                                preferred_name:
                                  type: string
                                slack_user_id:
                                  type: string
                                  nullable: true
                              required:
                                - profile_id
                                - preferred_name
                          mentioned_slack_channels:
                            type: array
                            items:
                              type: object
                              properties:
                                slack_channel:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                feed:
                                  type: object
                                  nullable: true
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    public_id:
                                      type: string
                                      nullable: true
                                    label:
                                      type: string
                                    slug:
                                      type: string
                                    slack_channel:
                                      type: object
                                      nullable: true
                                      properties:
                                        name:
                                          type: string
                                          nullable: true
                                      required:
                                        - name
                                  required:
                                    - id
                                    - label
                                    - slug
                              required:
                                - slack_channel
                          custom_emojis:
                            type: array
                            items:
                              type: object
                              properties:
                                alias:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                url:
                                  type: string
                                  nullable: true
                              required:
                                - alias
                                - name
                                - url
                          urls:
                            type: array
                            items:
                              type: object
                              properties:
                                order_seen:
                                  type: number
                                is_embedded_media:
                                  type: boolean
                                is_image:
                                  type: boolean
                                is_video:
                                  type: boolean
                                url:
                                  type: string
                              required:
                                - order_seen
                                - is_embedded_media
                                - is_image
                                - is_video
                                - url
                        required:
                          - mentioned_slack_users
                          - mentioned_slack_channels
                          - custom_emojis
                          - urls
                      slack_channel_topic_slack_blocks:
                        type: array
                        nullable: true
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - rich_text
                            elements:
                              type: array
                              items:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_section
                                      elements:
                                        type: array
                                        items:
                                          anyOf:
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - broadcast
                                                range:
                                                  type: string
                                                  enum:
                                                    - here
                                                    - channel
                                                    - everyone
                                              required:
                                                - type
                                                - range
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - color
                                                value:
                                                  type: string
                                              required:
                                                - type
                                                - value
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - channel
                                                channel_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - channel_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - date
                                                timestamp:
                                                  type: number
                                                format:
                                                  type: string
                                                url:
                                                  type: string
                                                fallback:
                                                  type: string
                                              required:
                                                - type
                                                - timestamp
                                                - format
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - emoji
                                                name:
                                                  type: string
                                                unicode:
                                                  type: string
                                              required:
                                                - type
                                                - name
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - link
                                                url:
                                                  type: string
                                                text:
                                                  type: string
                                                unsafe:
                                                  type: boolean
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - url
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - text
                                                text:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    code:
                                                      type: boolean
                                              required:
                                                - type
                                                - text
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - user
                                                user_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - user_id
                                            - type: object
                                              properties:
                                                type:
                                                  type: string
                                                  enum:
                                                    - usergroup
                                                usergroup_id:
                                                  type: string
                                                style:
                                                  type: object
                                                  properties:
                                                    bold:
                                                      type: boolean
                                                    italic:
                                                      type: boolean
                                                    strike:
                                                      type: boolean
                                                    highlight:
                                                      type: boolean
                                                    client_highlight:
                                                      type: boolean
                                                    unlink:
                                                      type: boolean
                                              required:
                                                - type
                                                - usergroup_id
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_list
                                      style:
                                        type: string
                                        enum:
                                          - bullet
                                          - ordered
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - rich_text_section
                                            elements:
                                              type: array
                                              items:
                                                anyOf:
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - broadcast
                                                      range:
                                                        type: string
                                                        enum:
                                                          - here
                                                          - channel
                                                          - everyone
                                                    required:
                                                      - type
                                                      - range
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - color
                                                      value:
                                                        type: string
                                                    required:
                                                      - type
                                                      - value
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - channel
                                                      channel_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - channel_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - date
                                                      timestamp:
                                                        type: number
                                                      format:
                                                        type: string
                                                      url:
                                                        type: string
                                                      fallback:
                                                        type: string
                                                    required:
                                                      - type
                                                      - timestamp
                                                      - format
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - emoji
                                                      name:
                                                        type: string
                                                      unicode:
                                                        type: string
                                                    required:
                                                      - type
                                                      - name
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - link
                                                      url:
                                                        type: string
                                                      text:
                                                        type: string
                                                      unsafe:
                                                        type: boolean
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - url
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - text
                                                      text:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          code:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - text
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - user
                                                      user_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - user_id
                                                  - type: object
                                                    properties:
                                                      type:
                                                        type: string
                                                        enum:
                                                          - usergroup
                                                      usergroup_id:
                                                        type: string
                                                      style:
                                                        type: object
                                                        properties:
                                                          bold:
                                                            type: boolean
                                                          italic:
                                                            type: boolean
                                                          strike:
                                                            type: boolean
                                                          highlight:
                                                            type: boolean
                                                          client_highlight:
                                                            type: boolean
                                                          unlink:
                                                            type: boolean
                                                    required:
                                                      - type
                                                      - usergroup_id
                                          required:
                                            - type
                                            - elements
                                      indent:
                                        type: number
                                        minimum: 0
                                      offset:
                                        type: number
                                        minimum: 0
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - style
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_preformatted
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        enum:
                                          - rich_text_quote
                                      elements:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            type:
                                              type: string
                                              enum:
                                                - text
                                            text:
                                              type: string
                                            style:
                                              type: object
                                              properties:
                                                bold:
                                                  type: boolean
                                                italic:
                                                  type: boolean
                                                strike:
                                                  type: boolean
                                                code:
                                                  type: boolean
                                          required:
                                            - type
                                            - text
                                      border:
                                        type: number
                                        minimum: 0
                                    required:
                                      - type
                                      - elements
                            block_id:
                              type: string
                          required:
                            - type
                            - elements
                        description: >-
                          The Slack channel topic in Slack blocks format for
                          rich text input element
                      slack_channel_topic_slack_blocks_references:
                        type: object
                        properties:
                          mentioned_slack_users:
                            type: array
                            items:
                              type: object
                              properties:
                                profile_id:
                                  type: string
                                  format: uuid
                                preferred_name:
                                  type: string
                                slack_user_id:
                                  type: string
                                  nullable: true
                              required:
                                - profile_id
                                - preferred_name
                          mentioned_slack_channels:
                            type: array
                            items:
                              type: object
                              properties:
                                slack_channel:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    name:
                                      type: string
                                      nullable: true
                                  required:
                                    - id
                                    - name
                                feed:
                                  type: object
                                  nullable: true
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    public_id:
                                      type: string
                                      nullable: true
                                    label:
                                      type: string
                                    slug:
                                      type: string
                                    slack_channel:
                                      type: object
                                      nullable: true
                                      properties:
                                        name:
                                          type: string
                                          nullable: true
                                      required:
                                        - name
                                  required:
                                    - id
                                    - label
                                    - slug
                              required:
                                - slack_channel
                          custom_emojis:
                            type: array
                            items:
                              type: object
                              properties:
                                alias:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                url:
                                  type: string
                                  nullable: true
                              required:
                                - alias
                                - name
                                - url
                          urls:
                            type: array
                            items:
                              type: object
                              properties:
                                order_seen:
                                  type: number
                                is_embedded_media:
                                  type: boolean
                                is_image:
                                  type: boolean
                                is_video:
                                  type: boolean
                                url:
                                  type: string
                              required:
                                - order_seen
                                - is_embedded_media
                                - is_image
                                - is_video
                                - url
                        required:
                          - mentioned_slack_users
                          - mentioned_slack_channels
                          - custom_emojis
                          - urls
                      slug:
                        type: string
                      show_in_navigation_menu:
                        type: boolean
                      is_site_posting_enabled:
                        type: boolean
                      visibility:
                        type: string
                        enum:
                          - disabled
                          - public
                          - authenticated
                          - feed_members
                      sync_all_incoming_messages:
                        type: boolean
                      stores_new_messages:
                        type: boolean
                      ai_titles_enabled:
                        type: boolean
                      show_pinned_posts:
                        type: boolean
                      preset:
                        type: string
                        enum:
                          - discussion
                          - blog
                          - changelog
                    required:
                      - banner_file_id
                      - banner_file_url
                      - emoji_icon
                      - created_at
                      - updated_at
                      - id
                      - public_id
                      - is_archived
                      - is_unlisted
                      - label
                      - list_view_display_format
                      - post_detail_display_format
                      - slack_channel_id
                      - slack_channel_name
                      - slack_channel_num_members
                      - slack_channel_purpose_slack_blocks_references
                      - slack_channel_topic_slack_blocks_references
                      - slug
                      - show_in_navigation_menu
                      - is_site_posting_enabled
                      - visibility
                      - sync_all_incoming_messages
                      - stores_new_messages
                      - ai_titles_enabled
                      - show_pinned_posts
                      - preset
                required:
                  - success
                  - data
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Returns a Not Found error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieve post](/api-reference/posts/retrieve-post.md)
- [Retrieve calendar event](/api-reference/calendar-events/retrieve-calendar-event.md)
- [Manage Feeds](/channels-and-feeds/manage-feeds.md)
- [Create a Feed](/channels-and-feeds/create-feed.md)
- [List feeds](/api-reference/feeds/list-feeds.md)
